"""Function and helpers for cli."""

import os
from os.path import abspath, dirname

import sh

package_dir = abspath(dirname(__file__))
CONTEXT_SETTINGS = dict(help_option_names=['-o', '--options'])


def show_man(name, ctx, param, value):
    """Show otss-gen the man page."""
    if not value or ctx.resilient_parsing:
        return
    manpath = set()
    try:
        manpath |= set(sh.manpath().strip().split(':'))
    except sh.CommandNotFound:
        pass
    try:
        manpath |= set(os.environ['MANPATH'].strip().split(':'))
    except KeyError:
        pass
    manpath.add(package_dir)
    os.system("man -M %s %s" % (
        ':'.join(manpath),
        name
    ))
    ctx.exit()
