# -*- coding: utf-8 -*-
"""Create loggers and enable debug output if needed."""

import logging

lg = logging.getLogger("otss")
lgl = logging.getLogger("otss.licenses")

_std_error_enabled = False

DEFAULT_FORMAT = (
    '[%(levelname)1.1s %(asctime)s %(module)s:%(lineno)d] %(message)s'
)
DEFAULT_DATE_FORMAT = '%y%m%d %H:%M:%S'


def log_to_stderr(level=logging.DEBUG):
    """Enable logging."""
    global _std_error_enabled
    if _std_error_enabled:  # noqa
        return
    logger = logging.getLogger("otss")
    logger.setLevel(level)
    channel = logging.StreamHandler()
    channel.setFormatter(logging.Formatter(
        fmt=DEFAULT_FORMAT, datefmt=DEFAULT_DATE_FORMAT
    ))
    logger.addHandler(channel)
    _std_error_enabled = True  # noqa
